struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Bush <jtb...@mchsi.com>
Subject struts2-portlet-plugin dependency issue
Date Wed, 14 Nov 2018 07:38:14 GMT
WW-3826 solved a problem running JUnit tests on portlet actions via 
struts2-portlet-plugin and struts2-junit-plugin. The solution used 
Spring's org.springframework.mock.web.portlet package in the spring-test 
framework. Spring Portlet MVC is no longer supported (SPR-14129) and the 
package has been removed starting with Spring 5. I'm not able to upgrade 
to Spring 5 without loosing my unit testing since having both versions 
of spring-test in my classpath creates many other issues. Any short term 
suggestion would be appreciated.
Thanks John B

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message